## php.java.bridge
Class ChainsawLogger

    java.lang.Object
      php.java.bridge.Log4jLogger
          php.java.bridge.ChainsawLogger

All Implemented Interfaces:
  ILogger

    public class ChainsawLogger

extends Log4jLogger
implements ILogger

A logger class which connects to chainsaw -- chainsaw is a log4j viewer. Start chainsaw, for example by clicking on Applications -> Programming -> Chainsaw or via:
`java -classpath /usr/share/java/log4j.jar org.apache.log4j.chainsaw.Main`
and then start the PHP/Java Bridge:
`java -classpath /usr/share/java/log4j.jar:/usr/share/java/JavaBridge.jar php.java.bridge.JavaBridge`

Field Summary
`static java.lang.String` `DEFAULT_HOST` The default cainsaw host
`static java.lang.String` `DEFAULT_PORT` The default chainsaw port

Constructor Summary
`ChainsawLogger()` Create a new chainsaw logger.

Method Summary
`void` `configure(java.lang.String defaultHost, int defaultPort)` override this method, if you want to connect to a different host or port
`java.lang.String` `toString()`

Methods inherited from class php.java.bridge.Log4jLogger
`log, printStackTrace, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface php.java.bridge.ILogger
`log, printStackTrace, warn`

Field Detail

### DEFAULT_PORT

    public static final java.lang.String DEFAULT_PORT

  The default chainsaw port

  See Also:
    Constant Field Values

### DEFAULT_HOST

    public static final java.lang.String DEFAULT_HOST

  The default cainsaw host

  See Also:
    Constant Field Values

Constructor Detail

### ChainsawLogger

    public ChainsawLogger()
                   throws java.lang.Exception

  Create a new chainsaw logger.

  Throws:
    `UnknownHostException` - If the host does not exist.
    `IOException` - If chainsaw isn't running.
    `java.lang.Exception`
  See Also:
    `Util.setLogger(ILogger)`

Method Detail

### configure

    public void configure(java.lang.String defaultHost,
                          int defaultPort)
                   throws java.lang.Exception

  override this method, if you want to connect to a different host or port

  Parameters:
    `defaultHost` - The default host
    `defaultPort` - The default port
  Throws:
    `UnknownHostException` - Cannot happen.
    `IOException` - If chainsaw isn't running.
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`